//
//  ECLoginController.m
//  echo
//
//  Created by Lane on 2/6/13.
//  Copyright (c) 2013 Lane. All rights reserved.
//

#import "ECLoginController.h"
#import "ECAppDelegate.h"

@interface ECLoginController ()

@end

@implementation ECLoginController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (IBAction)facebookLogin:(id)sender
{
    ECAppDelegate *appDelegate = (ECAppDelegate *)[[UIApplication sharedApplication] delegate];
    [appDelegate openSessionWithLoginUI:YES];
}

- (void)loginFailed
{
    NSLog(@"Login failed!");
}

- (void)sessionStateChanged:(NSNotification*)notification
{
    NSLog(@"Here!");
    [self.presentingViewController dismissViewControllerAnimated:YES completion:nil];
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
    [[NSNotificationCenter defaultCenter] addObserver:self
                                             selector:@selector(sessionStateChanged:)
                                                 name:SessionStateChangedNotification
                                               object:nil];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
